ON_DecodeBase64 Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_base64.h>`

## Public Member Functions

| ON_DecodeBase64 ()
virtual | ~ON_DecodeBase64 ()
void | Begin ()
const char * | Decode (const char *base64str)
const char * | Decode (const char *base64str, size_t base64str_count)
const wchar_t * | Decode (const wchar_t *base64str)
const wchar_t * | Decode (const wchar_t *base64str, size_t base64str_count)
bool | End ()
virtual void | Output ()
void | SetError ()
const bool | Error () const

## Public Attributes

unsigned int | m_decode_count
int | m_output_count
unsigned char | m_output [512]

## Detailed Description

Definition at line 215 of file opennurbs_base64.h.

## Constructor & Destructor Documentation

## ON_DecodeBase64()

ON_DecodeBase64::ON_DecodeBase64 | ( |  | ) |

## ~ON_DecodeBase64()

virtual ON_DecodeBase64::~ON_DecodeBase64 | ( |  | ) |

virtual

## Member Function Documentation

## Begin()

void ON_DecodeBase64::Begin | ( |  | ) |

## Decode() [1/4]

const char* ON_DecodeBase64::Decode | ( | const char * | base64str | ) |

## Decode() [2/4]

const char* ON_DecodeBase64::Decode | ( | const char * | base64str,
|  | size_t | base64str_count
| ) |  |

## Decode() [3/4]

const wchar_t* ON_DecodeBase64::Decode | ( | const wchar_t * | base64str | ) |

## Decode() [4/4]

const wchar_t* ON_DecodeBase64::Decode | ( | const wchar_t * | base64str,
|  | size_t | base64str_count
| ) |  |

## End()

bool ON_DecodeBase64::End | ( |  | ) |

## Error()

const bool ON_DecodeBase64::Error | ( |  | ) | const

## Output()

virtual void ON_DecodeBase64::Output | ( |  | ) |

virtual

## SetError()

void ON_DecodeBase64::SetError | ( |  | ) |

## Member Data Documentation

## m_decode_count

unsigned int ON_DecodeBase64::m_decode_count

Definition at line 258 of file opennurbs_base64.h.

## m_output

unsigned char ON_DecodeBase64::m_output[512]

Definition at line 261 of file opennurbs_base64.h.

## m_output_count

int ON_DecodeBase64::m_output_count

Definition at line 260 of file opennurbs_base64.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_base64.h